Subject: Re: [PATCH v2 16/19] parallel-checkout: add tests for basic operations

From: Taylor Blau <[email-masked]>
Date: Mon, 19 Oct 2020 22:55:25 -0400

On Mon, Oct 19, 2020 at 06:35:58PM -0700, Jonathan Nieder wrote:
> > +
> > +	# Check that the expected number of workers has been used. Note that it
> > +	# can be different than the requested number in two cases: when the
> > +	# quantity of entries to be checked out is less than the number of
> > +	# workers; and when the threshold has not been reached.
> > +	#
> > +	local workers_in_trace=$(grep "child_start\[.\+\] git checkout--helper" trace | wc -l) &&
>
> Do we use grep's \+ operator in other tests?  I thought we preferred to
> use the more portable *, but it may be that I'm out of date.

You're not out-of-date; I looked at this myself a couple of months ago:

  https://lore.kernel.org/git/[email-masked]/

Thanks,
Taylor